complexType "CurveInstrument"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 6 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId+, description?, currency?, exchangeId?, clearanceSystem?, definition?
</...>

Content Model Elements (6):

  clearanceSystem (defined in CurveInstrument complexType), currency (defined in CurveInstrument complexType), definition (defined in CurveInstrument complexType), | description (defined in IdentifiedAsset complexType), exchangeId (defined in CurveInstrument complexType), instrumentId (defined in IdentifiedAsset complexType)

Annotation
Abstract base class for instruments intended to be used primarily for building curves.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) CurveInstrument

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType abstract="true" name="CurveInstrument"> <xsd:complexContent> <xsd:extension base="IdentifiedAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="exchangeId" type="ExchangeId"/> <xsd:element minOccurs="0" name="clearanceSystem" type="ClearanceSystem"/> <xsd:element minOccurs="0" name="definition" type="ProductReference"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/6)
clearanceSystem

  Type: | ClearanceSystem, simple content

  Identification of the clearance system associated with the transaction exchange.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="clearanceSystem" type="ClearanceSystem"/>

currency

  Type: | Currency, simple content

  Currency in which the underlying asset is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

definition

  Type: | ProductReference, empty content

  An optional reference to a full FpML product that defines the simple product in greater detail. In case of inconsistency between the terms of the simple product and those of the detailed definition, the values in the simple product override those in the detailed definition.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="definition" type="ProductReference"/>

exchangeId

  Type: | ExchangeId, simple content

  Identification of the exchange on which this asset is transacted for the purposes of calculating a contractural payoff. The term "Exchange" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exchangeId" type="ExchangeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.